import request from '@/utils/request'
import { listUserSelectByPermi } from './user'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/v1/system/dept/list',
    method: 'get',
    params: query
  })
}
// 获取部门列表（用于部门选择，做数据权限过滤）
export function listDeptSelectByPermi(query) {
  return request({
    url: '/v1/system/dept/listDeptSelectByPermi',
    method: 'get',
    params: query
  })
}
// 获取部门列表（用于部门选择，不做数据权限过滤）
export function listDeptSelect(query) {
  return request({
    url: '/v1/system/dept/listDeptSelect',
    method: 'get',
    params: query
  })
}
// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/v1/system/dept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/v1/system/dept/' + deptId,
    method: 'get'
  })
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/v1/system/dept/treeselect',
    method: 'get'
  })
}

// 根据角色ID查询部门树结构
export function roleDeptTreeselect(roleId) {
  return request({
    url: '/v1/system/dept/roleDeptTreeselect/' + roleId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/v1/system/dept',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/v1/system/dept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/v1/system/dept/' + deptId,
    method: 'delete'
  })
}
